.navbar-container {
    background: #00000066;
    padding: 20px 0;
}

.logo-text {
    margin: 0 0 0 105px;
    color: white;
    font-size: 22px;
    font-weight: bold;
    user-select: none;
    text-decoration: none;
}

.logo-text:hover {
    color: #3cb878;
}

.navbar-right-container {
    float: right;
    margin-right: 106px;
}

.navbar-pictogram {
    display: inline-block;
    vertical-align: middle;
    margin-right: 28px;
}

.navbar-welcome-text {
    display: inline-block;
    font-size: 14px;
    line-height: 22px;
    color: white;
    padding-left: 28px;
    border-left: 1px solid rgba(255, 255, 255, 0.9);;
}

.navbar-auth-link {
    text-decoration: none;
    color: white;
    margin-right: 12px;
}

.navbar-auth-link:hover {
    color: #3cb878;
}

/*====================*/
/*Navbar icons sprites*/
/*====================*/
.navbar-calendar-pictogram {
    width: 20px;
    height: 20px;
    background: url('../img/navbar-icons-sprite.png') -10px -50px;
}

.navbar-calendar-pictogram:hover {
    width: 20px;
    height: 20px;
    background: url('../img/navbar-icons-sprite.png') -106px -50px;
}

.navbar-forum-pictogram {
    width: 28px;
    height: 20px;
    background: url('../img/navbar-icons-sprite.png') -58px -10px;
}

.navbar-forum-pictogram:hover {
    width: 28px;
    height: 20px;
    background: url('../img/navbar-icons-sprite.png') -10px -10px;
}

.navbar-journey-pictogram {
    width: 20px;
    height: 20px;
    background: url('../img/navbar-icons-sprite.png') -106px -10px;
}

.navbar-journey-pictogram:hover {
    width: 20px;
    height: 20px;
    background: url('../img/navbar-icons-sprite.png') -50px -50px;
}


/*================*/
/*Auth form section*/
/*================*/
.content-container {
    height: calc(100vh - 65px);
    text-align: center;
}

.auth-form-container {
    padding: 30px 60px;
    border-radius: 4px;
    box-sizing: border-box;
    vertical-align: middle;
    display: inline-block;
    width: 445px;
    height: 585px;
    background-color: white;
    position: relative;
    text-align: initial;
}

.auth-form-title {
    font-size: 20px;
    color: #434343;
    margin-bottom: 18px;
}

.auth-form-title::before {
    content: "";
    width: 18px;
    height: 18px;
    background: #3CB878;
    position: absolute;
    left: 0;
}

.auth-form-login-link {
    text-decoration: none;
    float: right;
    font-size: 14px;
    color: #3CB878;
    line-height: 23px;
}

.auth-button {
    border-radius: 4px;
    color: white;
    padding: 10px 15px;
    width: 160px;
    box-sizing: border-box;
    font-size: 16px;
    display: inline-block;
    cursor: pointer;
}

.auth-button-facebook {
    background: #305DB8;
}

.auth-button-google {
    background: #DF4A32;
}

.auth-button-label {
    width: 91px;
    text-align: center;
    display: inline-block;
    vertical-align: middle;
}

.sm-icon {
    height: 28px;
    width: 34px;
    vertical-align: middle;
    fill: white;
    border-right: 1px solid rgba(0, 0, 0, 0.1);
}

.divider-block {
    margin: 11px 0;
}

.auth-form-divider {
    width: 139px;
    display: inline-block;
    background-color: #e5e5e5;
    vertical-align: middle;
    height: 1px;
    border-width: 0;
}

.divider-title {
    font-size: 14px;
    color: #848484;
    display: inline-block;
    margin: 0 12px;
}

.auth-form-input {
    padding: 13px 15px;
    font-size: 14px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    color: #434343;
    margin: 5px 0;
    width: 100%;
    box-sizing: border-box;
}

.auth-form-input::placeholder {
    color: #BEBEBE;
}

.auth-form-input:focus {
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
    margin: 2px 0 8px;
    transition: 0.2s;
    outline: none;
}

.auth-form-terms-link {
    font-size: 16px;
    color: #3CB878;
    text-decoration: none;
    display: inline-block;
}

.create-account-button {
    background: #3CB878;
    border-radius: 4px;
    padding: 11px 0;
    text-align: center;
    width: 100%;
    color: white;
    outline: none;
    cursor: pointer;
    border: 0;
}

/*================*/
/*Checkbox styling*/
/*================*/
.terms-confirmation-checkbox-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-top: 18px;
    margin-bottom: 26px;
    cursor: pointer;
    font-size: 14px;
    line-height: 20px;
    user-select: none;
}

.terms-confirmation-checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.custom-checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background: rgba(0, 0, 0, 0.0001);
    border: 1px solid #F2F2F2;
}

.terms-confirmation-checkbox-container:hover input ~ .custom-checkmark {
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
}

.custom-checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

.terms-confirmation-checkbox-container input:checked ~ .custom-checkmark:after {
    display: block;
}

.terms-confirmation-checkbox-container .custom-checkmark:after {
    left: 8px;
    top: 3px;
    height: 10px;
    width: 5px;
    border-right: 1px solid green;
    border-bottom: 1px solid green;
    transform: rotate(45deg);
}